<ng-container>
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15 overflow-y-auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <span class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </span>
          </ng-template>
          <sqtm-app-user-account-information-panel>
          </sqtm-app-user-account-information-panel>
        </nz-collapse-panel>

        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'permissions'"
          [sqtmCoreAnchorCollapsePanel]="'permissions'"
          [nzHeader]="permissionsTitle"
        >
          <ng-template #permissionsTitle>
            <span class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.user.authorisation.plural' | translate }}
            </span>
          </ng-template>
          <sqtm-app-user-account-permissions-panel>
          </sqtm-app-user-account-permissions-panel>
        </nz-collapse-panel>

        @if (hasBugTrackerCredentials$ | async; as hasBugTrackerCredentials) {
          <nz-collapse-panel
            [sqtmCoreAnchorPanel]="'bugtrackers'"
            [sqtmCoreAnchorCollapsePanel]="'bugtrackers'"
            [nzHeader]="bugtrackersTitle"
          >
            <ng-template #bugtrackersTitle>
              <span class="entity-view-collapse-panel-title">
                {{
                  'sqtm-core.entity.user.account.bug-trackers-configuration'
                    | translate
                }}
              </span>
            </ng-template>
            <sqtm-app-user-account-bugtrackers-configuration-panel>
            </sqtm-app-user-account-bugtrackers-configuration-panel>
          </nz-collapse-panel>
        }

        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'api-token'"
          [sqtmCoreAnchorCollapsePanel]="'api-token'"
          [nzHeader]="apiTokenTitle"
          sqtmCoreAnchorLastPanel
        >
          <ng-template #apiTokenTitle>
            <div class="flex justify-content-space-between full-width">
              <span class="entity-view-collapse-panel-title">{{
                'sqtm-core.entity.user.api-token.title' | translate
              }}</span>
              <i
                nz-icon
                nzType="sqtm-core-generic:add"
                nzTheme="outline"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.user-account-page.api-token.tooltip.add'
                    | translate
                "
                class="current-workspace-button action-icon-size"
                [attr.data-test-button-id]="'add-api-token'"
                (click)="openCreateTokenDialog($event)"
              >
              </i>
            </div>
          </ng-template>
          <sqtm-app-user-account-api-token-panel>
          </sqtm-app-user-account-api-token-panel>
        </nz-collapse-panel>

        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
</ng-container>
